#include "processpool.hpp"
#include "systempool.hpp"

ProcessPool::ProcessPool(int num):m_num(num)
{
    Impl = std::make_shared<systemapi>(m_num);
}


void ProcessPool::exec() const {

    for (const auto& e : Impl->works) 
    {
        /* 创建子工作进程 */
        Impl->start(e);
    }
}